## wbxml2 0.10.6

=== CMakeLists.txt ===
PROJECT( libwbxml C )

SET( LIBWBXML_VERSION_MAJOR "0" )
SET( LIBWBXML_VERSION_MINOR "10" )
SET( LIBWBXML_VERSION_PATCH "6" )
SET( LIBWBXML_VERSION "${LIBWBXML_VERSION_MAJOR}.${LIBWBXML_VERSION_MINOR}.${LIBWBXML_VERSION_PATCH}" )

# The most recent interface number that this library implements.
#UPDATE: If any interface have been added, removed or changed since
#UPDATE: the last update increment CURRENT.
SET( LIBWBXML_LIBVERSION_CURRENT 0 )

# The implementation number of the CURRENT interface.
# UPDATE: Increment only if the library code has changed at all, since
# UPDATE: last release.
# UPDATE: Set REVISION to 0 if any interface have been added, removed or
# UPDATE: changed since the last update.
SET( LIBWBXML_LIBVERSION_REVISION 15 )

# The difference between the newest and the oldest interfaces.
# UPDATE: If any interface have been added since the last public
# UPDATE: release, then increment.
# UPDATE: If any interface have been removed since the last release
# UPDATE: reset to 0.
SET( LIBWBXML_LIBVERSION_AGE 0 )

# The range of implemention CURRENT - AGE is the SOVERSION
MATH( EXPR LIBWBXML_LIBVERSION_SOVERSION "${LIBWBXML_LIBVERSION_CURRENT} - ${LIBWBXML_LIBVERSION_AGE}" )

SET( LIBWBXML_LIBVERSION_VERSION "${LIBWBXML_LIBVERSION_SOVERSION}.${LIBWBXML_LIBVERSION_AGE}.${LIBWBXML_LIBVERSION_REVISION}" )

CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

# TODO: Move to external file/macro
SET( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )

SET( LIB_SUFFIX "" CACHE STRING "The library directory suffix. 32bit empty string, 64 for 64bit." )
SET( LIB_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE INTERNAL "libary location" )
SET( LIBDATA_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The library data directory" )
SET( BIN_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/bin" CACHE INTERNAL "binary location" )
SET( SHARE_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/share" CACHE INTERNAL "data location" )
SET( INCLUDE_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/include" CACHE INTERNAL "headers location" )
SET( LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec" CACHE INTERNAL "libexec location" )

#MESSAGE(STATUS "CMAKE_MODULE_PATH: ${CMAKE_MODULE_PATH}" )

SET( LIBWBXML_LIBRARIES_DIR "${LIB_INSTALL_DIR}" CACHE PATH "wbxml library location" )
SET( LIBWBXML_INCLUDE_DIR "${INCLUDE_INSTALL_DIR}" CACHE PATH "wbxml headers location" )
SET( LIBWBXML_BIN_DIR "${BIN_INSTALL_DIR}" CACHE PATH "wbxml binaries location" )
SET( LIBWBXML_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share" CACHE PATH "wbxml data location" )
SET( LIBWBXML_EXEC_INSTALL_DIR "${BIN_INSTALL_DIR}" CACHE PATH "wbxml binary location" )

# find header files and type size
INCLUDE( CheckTypeSize )
INCLUDE( CheckIncludeFiles )
INCLUDE( Documentation )
INCLUDE( AddDocumentation )

CHECK_INCLUDE_FILES( limits.h HAVE_LIMITS_H )
CHECK_INCLUDE_FILES( ctype.h HAVE_CTYPE_H )
CHECK_INCLUDE_FILES( stdlib.h HAVE_STDLIB_H )
CHECK_INCLUDE_FILES( stdio.h HAVE_STDIO_H )
CHECK_INCLUDE_FILES( stdarg.h HAVE_STDARG_H )
CHECK_INCLUDE_FILES( assert.h HAVE_ASSERT_H )

# ensure out od source build
INCLUDE( MacroEnsureOutOfSourceBuild )
MACRO_ENSURE_OUT_OF_SOURCE_BUILD("${CMAKE_PROJECT_NAME} doesn't allow to build within the source directory. Please, create a seperate build directory and run 'cmake ${PROJECT_SOURCE_DIR} [options]'!")

# FIXME: popt is embedded into the source code
# popt is not used
# zlib is not used
# nsl is part of libc6

FIND_PACKAGE( Expat REQUIRED )
FIND_PACKAGE( Check )

IF( EXPAT_FOUND )
    SET( HAVE_EXPAT 1 )
ENDIF( EXPAT_FOUND )

IF(CHECK_FOUND)
	OPTION( ENABLE_UNIT_TEST "enable unit tests" ON )
	INCLUDE( Testing )
ENDIF(CHECK_FOUND)

# look for the commands required for testing

FIND_PROGRAM( PERL_PROGRAM "perl" )
FIND_PROGRAM( DIFF_PROGRAM "diff" )

IF( PERL_PROGRAM )
	SET( ENABLE_PERL ON )
ELSE( PERL_PROGRAM )
	SET( ENABLE_PERL OFF )
ENDIF( PERL_PROGRAM )

IF( DIFF_PROGRAM )
	SET( ENABLE_DIFF ON )
ELSE( DIFF_PROGRAM )
	SET( ENABLE_DIFF OFF )
ENDIF( DIFF_PROGRAM )

OPTION( WBXML_LIB_VERBOSE "verbose mode" OFF )
OPTION( WBXML_ENCODER_USE_STRTBL "enable string tables" ON )
OPTION( WBXML_SUPPORT_WML "enable WML support" ON )
OPTION( WBXML_SUPPORT_WTA "enable WTA support" ON )
OPTION( WBXML_SUPPORT_SI "enable SI support" ON )
OPTION( WBXML_SUPPORT_SL "enable SL support" ON )
OPTION( WBXML_SUPPORT_CO "enable CO support" ON )
OPTION( WBXML_SUPPORT_PROV "enable PROV support" ON )
OPTION( WBXML_SUPPORT_EMN "enable EMN support" ON )
OPTION( WBXML_SUPPORT_DRMREL "enable DRMREL support" ON )
OPTION( WBXML_SUPPORT_OTA_SETTINGS "enable OTA_SETTINGS support" ON )
OPTION( WBXML_SUPPORT_SYNCML "enable SYNCML support" ON )
OPTION( WBXML_SUPPORT_WV "enable WV support" ON )
OPTION( WBXML_SUPPORT_AIRSYNC "enable AIRSYNC support" ON )

SET( PACKAGE "libwbxml" )
SET( PACKAGE_BUGREPORT " " )
SET( PACKAGE_NAME "libwbxml" )
SET( PACKAGE_TARNAME "${PACKAGE_NAME}" )
SET( PACKAGE_STRING "${PACKAGE_NAME} ${LIBWBXML_VERSION}" )
SET( PACKAGE_VERSION "${LIBWBXML_VERSION}" )
SET( VERSION "${LIBWBXML_VERSION}" )

CONFIGURE_FILE( "src/wbxml_config.h.cmake" "${CMAKE_CURRENT_BINARY_DIR}/wbxml_config.h")
CONFIGURE_FILE( "src/wbxml_config_internals.h.cmake" "${CMAKE_CURRENT_BINARY_DIR}/wbxml_config_internals.h")
CONFIGURE_FILE( "libwbxml2.pc.cmake" "${CMAKE_CURRENT_BINARY_DIR}/libwbxml2.pc" @ONLY)

# add uninstall target
CONFIGURE_FILE(	"${CMAKE_SOURCE_DIR}/cmake/modules/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

ADD_SUBDIRECTORY( src )
ADD_SUBDIRECTORY( tools )
# no tests available
# ADD_SUBDIRECTORY( tests )

MARK_AS_ADVANCED( CLEAR BUILD_DOCUMENTATION )
#IF ( BUILD_DOCUMENTATION )
#	IF ( DOXYGEN_DOT_EXECUTABLE )
#		SET( HAVE_DOT "YES" )
#	ENDIF ( DOXYGEN_DOT_EXECUTABLE )
#
#	# configure tools documentation
#	CONFIGURE_FILE( "tools/Doxyfile.in" "${CMAKE_CURRENT_BINARY_DIR}/tools/Doxyfile" @ONLY)
#	ADD_CUSTOM_TARGET( DoxygenDocTools ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/tools/Doxyfile )
#
#	# configure library documentation
#	CONFIGURE_FILE( "libsyncml/Doxyfile.in" "${CMAKE_CURRENT_BINARY_DIR}/libsyncml/Doxyfile" @ONLY)
#	ADD_CUSTOM_TARGET( DoxygenDocLibrary ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/libsyncml/Doxyfile )
#
#	# configure general doxygen target
#	CONFIGURE_FILE( "misc/doxygen.css" "${CMAKE_CURRENT_BINARY_DIR}/misc/doxygen.css" @ONLY)
#	# WARNING: Do not use DEPENDS of ADD_CUSTOM_TARGET here
#	ADD_CUSTOM_TARGET( DoxygenDoc )
#	ADD_DEPENDENCIES( DoxygenDoc DoxygenDocLibrary DoxygenDocTools )
#ENDIF ( BUILD_DOCUMENTATION )
OPTION( ENABLE_INSTALL_DOC "install documentation" ON )
IF( ENABLE_INSTALL_DOC )
	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/AUTHORS )
	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/BUGS )
	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/ChangeLog )
	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/COPYING )
	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/GNU-LGPL )
	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/INSTALL )
	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/NEWS )
	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/README )
	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/References )
	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/THANKS )
	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/TODO )
ENDIF( ENABLE_INSTALL_DOC )

# todo: add requires in pc file
INSTALL( FILES "${CMAKE_CURRENT_BINARY_DIR}/libwbxml2.pc" DESTINATION "${LIBDATA_INSTALL_DIR}/pkgconfig/" )
# status output
INCLUDE( ShowStatus )
MESSAGE( STATUS "==================================================" )
SHOW_STATUS( WBXML_LIB_VERBOSE "verbose mode\t\t\t" )
SHOW_STATUS( ENABLE_UNIT_TEST "unit tests\t\t\t" )
SHOW_STATUS( ENABLE_PERL "perl binary (test generated XML)" )
SHOW_STATUS( ENABLE_DIFF "diff binary (test generated XML)" )
SHOW_STATUS( WBXML_ENCODER_USE_STRTBL "enable string tables\t\t" )
SHOW_STATUS( WBXML_SUPPORT_WML "enable WML support\t\t" )
SHOW_STATUS( WBXML_SUPPORT_WTA "enable WTA support\t\t" )
SHOW_STATUS( WBXML_SUPPORT_SI "enable SI support\t\t" )
SHOW_STATUS( WBXML_SUPPORT_SL "enable SL support\t\t" )
SHOW_STATUS( WBXML_SUPPORT_CO "enable CO support\t\t" )
SHOW_STATUS( WBXML_SUPPORT_PROV "enable PROV support\t\t" )
SHOW_STATUS( WBXML_SUPPORT_EMN "enable EMN support\t\t" )
SHOW_STATUS( WBXML_SUPPORT_DRMREL "enable DRMREL support\t" )
SHOW_STATUS( WBXML_SUPPORT_OTA_SETTINGS "enable OTA_SETTINGS support\t" )
SHOW_STATUS( WBXML_SUPPORT_SYNCML "enable SYNCML support\t" )
SHOW_STATUS( WBXML_SUPPORT_WV "enable WV support\t\t" )
SHOW_STATUS( WBXML_SUPPORT_AIRSYNC "enable AIRSYNC support\t" )
SHOW_STATUS( BUILD_DOCUMENTATION "build dynamic documentation\t" )
SHOW_STATUS( ENABLE_INSTALL_DOC "install documentation\t" )

# fatal error detection
IF ( FATAL_ERROR_EXPAT )
	MESSAGE( STATUS "==================================================" )
	MESSAGE( STATUS "FATAL ERROR(S) DETECTED ... DETAILS FOLLOW:" )
	MESSAGE( STATUS "==================================================" )
	IF ( FATAL_ERROR_EXPAT )
		MESSAGE( STATUS "${FATAL_ERROR_EXPAT}" )
	ENDIF ( FATAL_ERROR_EXPAT )
	MESSAGE( STATUS "==================================================" )
ENDIF ( FATAL_ERROR_EXPAT )

### CPack ########################################

IF( RELEASE_CANDIDATE )
	SET( LIBWBXML_VERSION "${LIBWBXML_VERSION}-RC${RELEASE_CANDIDATE}" )
ENDIF( RELEASE_CANDIDATE )

# ADD_SUBDIRECTORY( wbxmlTestSuite )

SET( CPACK_GENERATOR "TGZ;TBZ2" ) # This line is need for a CMake (Version 2.4.7) Bug - Fixed in CVS 
SET( CPACK_SOURCE_GENERATOR "TGZ;TBZ2") 
SET( CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${LIBWBXML_VERSION}" ) 
SET( CPACK_SET_DESTDIR ON )
INCLUDE( CPack )

### CTest ########################################

ENABLE_TESTING()
CONFIGURE_FILE( "tests/launchTests.sh" "${CMAKE_CURRENT_BINARY_DIR}/launchTests.sh")
CONFIGURE_FILE( "tests/normalize_xml.pl" "${CMAKE_CURRENT_BINARY_DIR}/normalize_xml.pl" @ONLY)
SET( airsync_tests 3 )
SET( ddf_tests 7 )
# 2009-Jan-19 bellmich
# All DRMREL 1.0 tests are switched off.
# The background is the extremely bad specification.
# DRMREL 1.0 hardcodes the XML namespace translation.
# I never saw such a broken XML design before.
#
#SET( drmrel_tests  3 )
SET( emn_tests    17 )
SET( ota_tests     3 )
SET( prov_tests    8 )
SET( si_tests     25 )
SET( sl_tests     13 )
SET( syncml_tests 14 )
SET( wv_tests    116 )
FOREACH( TESTDIR airsync ddf emn ota prov si sl syncml wv )
	FOREACH( ITEM RANGE 1 ${${TESTDIR}_tests} )
		ADD_TEST( "${TESTDIR}_${ITEM}" launchTests.sh "${CMAKE_SOURCE_DIR}/tests" "${TESTDIR}" ${ITEM} )
	ENDFOREACH( ITEM RANGE 1 ${${TESTDIR}_tests} )
ENDFOREACH( TESTDIR airsync ddf emn ota prov si sl syncml wv )

=== tools/CMakeLists.txt ===
LINK_DIRECTORIES( ${EXPAT_LIBRARY_DIRS} )

INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${EXPAT_INCLUDE_DIRS} )

if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

ADD_EXECUTABLE( wbxml2xml wbxml2xml_tool.c attgetopt.c )
	TARGET_LINK_LIBRARIES( wbxml2xml wbxml2 )
	INSTALL( TARGETS wbxml2xml DESTINATION ${LIBWBXML_BIN_DIR} )

ADD_EXECUTABLE( xml2wbxml xml2wbxml_tool.c attgetopt.c )
	TARGET_LINK_LIBRARIES( xml2wbxml wbxml2 )
	INSTALL( TARGETS xml2wbxml DESTINATION ${LIBWBXML_BIN_DIR} )

## wbxml2 0.10.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SET( LIBWBXML_VERSION_MAJOR "0" )
 SET( LIBWBXML_VERSION_MINOR "10" )
-SET( LIBWBXML_VERSION_PATCH "6" )
+SET( LIBWBXML_VERSION_PATCH "7" )
 SET( LIBWBXML_VERSION "${LIBWBXML_VERSION_MAJOR}.${LIBWBXML_VERSION_MINOR}.${LIBWBXML_VERSION_PATCH}" )
 
 # The most recent interface number that this library implements.
@@ -15,7 +15,7 @@
 # UPDATE: last release.
 # UPDATE: Set REVISION to 0 if any interface have been added, removed or
 # UPDATE: changed since the last update.
-SET( LIBWBXML_LIBVERSION_REVISION 15 )
+SET( LIBWBXML_LIBVERSION_REVISION 16 )
 
 # The difference between the newest and the oldest interfaces.
 # UPDATE: If any interface have been added since the last public
@@ -83,6 +83,24 @@
 	OPTION( ENABLE_UNIT_TEST "enable unit tests" ON )
 	INCLUDE( Testing )
 ENDIF(CHECK_FOUND)
+
+# look for getopt implementation in unistd.h
+
+INCLUDE(CheckFunctionExists)
+INCLUDE(CheckIncludeFile)
+
+CHECK_INCLUDE_FILE( "unistd.h" LIBWBXML_TOOLS_UNISTD_H )
+IF( ${LIBWBXML_TOOLS_UNISTD_H} )
+	SET( CMAKE_REQUIRED_INCLUDES ${LIBWBXML_TOOLS_UNISTD_H} )
+	CHECK_FUNCTION_EXISTS( getopt LIBWBXML_POSIX_GETOPT )
+ELSE( ${LIBWBXML_TOOLS_UNISTD_H} )
+	SET( LIBWBXML_POSIX_GETOPT OFF )
+ENDIF( ${LIBWBXML_TOOLS_UNISTD_H} )
+IF( LIBWBXML_POSIX_GETOPT )
+	OPTION( FOUND_POSIX_GETOPT "POSIX getopt" ON )
+ELSE( LIBWBXML_POSIX_GETOPT )
+	OPTION( FOUND_POSIX_GETOPT "POSIX getopt" OFF )
+ENDIF( LIBWBXML_POSIX_GETOPT )
 
 # look for the commands required for testing
 
@@ -179,6 +197,7 @@
 INCLUDE( ShowStatus )
 MESSAGE( STATUS "==================================================" )
 SHOW_STATUS( WBXML_LIB_VERBOSE "verbose mode\t\t\t" )
+SHOW_STATUS( FOUND_POSIX_GETOPT "POSIX getopt\t\t\t" )
 SHOW_STATUS( ENABLE_UNIT_TEST "unit tests\t\t\t" )
 SHOW_STATUS( ENABLE_PERL "perl binary (test generated XML)" )
 SHOW_STATUS( ENABLE_DIFF "diff binary (test generated XML)" )

=== src/CMakeLists.txt ===
LINK_DIRECTORIES( ${EXPAT_LIBRARY_DIRS} )

INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${EXPAT_INCLUDE_DIRS} )

SET( libwbxml_LIB_SRCS
	wbxml_base64.c
	wbxml_buffers.c
	wbxml_charset.c
	wbxml_conv.c
	wbxml_elt.c
	wbxml_encoder.c
	wbxml_errors.c
	wbxml_lists.c
	wbxml_log.c
	wbxml_mem.c
	wbxml_parser.c
	wbxml_tables.c
	wbxml_tree.c
	wbxml_tree_clb_wbxml.c
	wbxml_tree_clb_xml.c
	wbxml_wrap_syncml.c
)

ADD_LIBRARY( wbxml2 SHARED ${libwbxml_LIB_SRCS} )

SET_TARGET_PROPERTIES( wbxml2 PROPERTIES SOVERSION ${LIBWBXML_LIBVERSION_SOVERSION} )
SET_TARGET_PROPERTIES( wbxml2 PROPERTIES VERSION ${LIBWBXML_LIBVERSION_VERSION} )
TARGET_LINK_LIBRARIES( wbxml2 ${EXPAT_LIBRARIES} )

INSTALL( TARGETS wbxml2
   RUNTIME DESTINATION ${LIBWBXML_BIN_DIR}
   LIBRARY DESTINATION ${LIBWBXML_LIBRARIES_DIR}
   ARCHIVE DESTINATION ${LIBWBXML_LIBRARIES_DIR}
)

INSTALL( FILES
	wbxml.h
	${CMAKE_CURRENT_BINARY_DIR}/../wbxml_config.h
	wbxml_base64.h
	wbxml_buffers.h
	wbxml_charset.h
	wbxml_conv.h
	wbxml_elt.h
	wbxml_encoder.h
	wbxml_errors.h
	wbxml_handlers.h
	wbxml_lists.h
	wbxml_log.h
	wbxml_mem.h
	wbxml_parser.h
	wbxml_tables.h
	wbxml_tree.h
	wbxml_tree_clb_wbxml.h
	wbxml_tree_clb_xml.h
	DESTINATION ${LIBWBXML_INCLUDE_DIR}
)

=== tools/CMakeLists.txt ===
LINK_DIRECTORIES( ${EXPAT_LIBRARY_DIRS} )

INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${EXPAT_INCLUDE_DIRS} )

if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

CONFIGURE_FILE( "config.h.cmake" "${CMAKE_CURRENT_BINARY_DIR}/config.h")

IF( LIBWBXML_POSIX_GETOPT )
	SET( ATTGETOPT "" )
ELSE( LIBWBXML_POSIX_GETOPT )
	SET( ATTGETOPT "attgetopt.c" )
ENDIF( LIBWBXML_POSIX_GETOPT )

ADD_EXECUTABLE( wbxml2xml wbxml2xml_tool.c ${ATTGETOPT} )
	TARGET_LINK_LIBRARIES( wbxml2xml wbxml2 )
	INSTALL( TARGETS wbxml2xml DESTINATION ${LIBWBXML_BIN_DIR} )

ADD_EXECUTABLE( xml2wbxml xml2wbxml_tool.c ${ATTGETOPT} )
	TARGET_LINK_LIBRARIES( xml2wbxml wbxml2 )
	INSTALL( TARGETS xml2wbxml DESTINATION ${LIBWBXML_BIN_DIR} )

## wbxml2 0.11.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,29 @@
 PROJECT( libwbxml C )
 
 SET( LIBWBXML_VERSION_MAJOR "0" )
-SET( LIBWBXML_VERSION_MINOR "10" )
+SET( LIBWBXML_VERSION_MINOR "11" )
 SET( LIBWBXML_VERSION_PATCH "7" )
+IF( LIBWBXML_VERSION_BETA )
+    IF( LIBWBXML_VERSION_BETA VERSION_GREATER 90 )
+        MATH( EXPR LIBWBXML_VERSION_MINOR "${LIBWBXML_VERSION_MINOR} - 1" )
+        SET( LIBWBXML_VERSION_PATCH ${LIBWBXML_VERSION_BETA})
+    ELSE( LIBWBXML_VERSION_BETA VERSION_GREATER 90 )
+        SET( LIBWBXML_VERSION_PATCH "beta${LIBWBXML_VERSION_BETA}" )
+    ENDIF( LIBWBXML_VERSION_BETA VERSION_GREATER 90 )
+ENDIF( LIBWBXML_VERSION_BETA )
 SET( LIBWBXML_VERSION "${LIBWBXML_VERSION_MAJOR}.${LIBWBXML_VERSION_MINOR}.${LIBWBXML_VERSION_PATCH}" )
 
 # The most recent interface number that this library implements.
 #UPDATE: If any interface have been added, removed or changed since
 #UPDATE: the last update increment CURRENT.
-SET( LIBWBXML_LIBVERSION_CURRENT 0 )
+SET( LIBWBXML_LIBVERSION_CURRENT 1 )
 
 # The implementation number of the CURRENT interface.
 # UPDATE: Increment only if the library code has changed at all, since
 # UPDATE: last release.
 # UPDATE: Set REVISION to 0 if any interface have been added, removed or
 # UPDATE: changed since the last update.
-SET( LIBWBXML_LIBVERSION_REVISION 16 )
+SET( LIBWBXML_LIBVERSION_REVISION 7 )
 
 # The difference between the newest and the oldest interfaces.
 # UPDATE: If any interface have been added since the last public
@@ -28,6 +36,20 @@
 MATH( EXPR LIBWBXML_LIBVERSION_SOVERSION "${LIBWBXML_LIBVERSION_CURRENT} - ${LIBWBXML_LIBVERSION_AGE}" )
 
 SET( LIBWBXML_LIBVERSION_VERSION "${LIBWBXML_LIBVERSION_SOVERSION}.${LIBWBXML_LIBVERSION_AGE}.${LIBWBXML_LIBVERSION_REVISION}" )
+
+# this hack protects the SO versioning of the library
+# it makes the exposing of internal header files possible and safe
+# usual library version: 2.6.1
+# special library version: 20601.0.0
+IF( WBXML_INSTALL_FULL_HEADERS )
+
+    # calculate big major version
+    MATH( EXPR LIBWBXML_LIBVERSION_SOVERSION "10000 * ${LIBWBXML_LIBVERSION_SOVERSION} + 100 * ${LIBWBXML_LIBVERSION_AGE} + ${LIBWBXML_LIBVERSION_REVISION}" )
+
+    # build a x.0.0 version
+    SET( LIBWBXML_LIBVERSION_VERSION "${LIBWBXML_LIBVERSION_SOVERSION}.0.0" )
+
+ENDIF( WBXML_INSTALL_FULL_HEADERS )
 
 CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
 
@@ -45,7 +67,7 @@
 #MESSAGE(STATUS "CMAKE_MODULE_PATH: ${CMAKE_MODULE_PATH}" )
 
 SET( LIBWBXML_LIBRARIES_DIR "${LIB_INSTALL_DIR}" CACHE PATH "wbxml library location" )
-SET( LIBWBXML_INCLUDE_DIR "${INCLUDE_INSTALL_DIR}" CACHE PATH "wbxml headers location" )
+SET( LIBWBXML_INCLUDE_DIR "${INCLUDE_INSTALL_DIR}/libwbxml-${LIBWBXML_LIBVERSION_SOVERSION}.${LIBWBXML_LIBVERSION_AGE}" CACHE PATH "libwbxml headers location" )
 SET( LIBWBXML_BIN_DIR "${BIN_INSTALL_DIR}" CACHE PATH "wbxml binaries location" )
 SET( LIBWBXML_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share" CACHE PATH "wbxml data location" )
 SET( LIBWBXML_EXEC_INSTALL_DIR "${BIN_INSTALL_DIR}" CACHE PATH "wbxml binary location" )
@@ -74,6 +96,7 @@
 
 FIND_PACKAGE( Expat REQUIRED )
 FIND_PACKAGE( Check )
+FIND_PACKAGE( Iconv )
 
 IF( EXPAT_FOUND )
     SET( HAVE_EXPAT 1 )
@@ -83,6 +106,12 @@
 	OPTION( ENABLE_UNIT_TEST "enable unit tests" ON )
 	INCLUDE( Testing )
 ENDIF(CHECK_FOUND)
+
+SET( WBXML_SUPPORT_ICONV OFF )
+IF( ICONV_FOUND )
+    SET( HAVE_ICONV 1 )
+    SET( WBXML_SUPPORT_ICONV ON )
+ENDIF( ICONV_FOUND )
 
 # look for getopt implementation in unistd.h
 
@@ -119,6 +148,8 @@
 	SET( ENABLE_DIFF OFF )
 ENDIF( DIFF_PROGRAM )
 
+OPTION( BUILD_SHARED_LIBS "Build wbxml as shared library" ON )
+OPTION( BUILD_STATIC_LIBS "Build wbxml as static library" OFF )
 OPTION( WBXML_LIB_VERBOSE "verbose mode" OFF )
 OPTION( WBXML_ENCODER_USE_STRTBL "enable string tables" ON )
 OPTION( WBXML_SUPPORT_WML "enable WML support" ON )
@@ -133,6 +164,8 @@
 OPTION( WBXML_SUPPORT_SYNCML "enable SYNCML support" ON )
 OPTION( WBXML_SUPPORT_WV "enable WV support" ON )
 OPTION( WBXML_SUPPORT_AIRSYNC "enable AIRSYNC support" ON )
+OPTION( WBXML_SUPPORT_CONML "enable Nokia ConML support" ON )
+OPTION( WBXML_INSTALL_FULL_HEADERS "install internal headers" OFF )
 
 SET( PACKAGE "libwbxml" )
 SET( PACKAGE_BUGREPORT " " )
@@ -153,8 +186,7 @@
 
 ADD_SUBDIRECTORY( src )
 ADD_SUBDIRECTORY( tools )
-# no tests available
-# ADD_SUBDIRECTORY( tests )
+ADD_SUBDIRECTORY( cmake )
 
 MARK_AS_ADVANCED( CLEAR BUILD_DOCUMENTATION )
 #IF ( BUILD_DOCUMENTATION )
@@ -178,13 +210,11 @@
 #ENDIF ( BUILD_DOCUMENTATION )
 OPTION( ENABLE_INSTALL_DOC "install documentation" ON )
 IF( ENABLE_INSTALL_DOC )
-	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/AUTHORS )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/BUGS )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/ChangeLog )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/COPYING )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/GNU-LGPL )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/INSTALL )
-	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/NEWS )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/README )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/References )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/THANKS )
@@ -214,8 +244,11 @@
 SHOW_STATUS( WBXML_SUPPORT_SYNCML "enable SYNCML support\t" )
 SHOW_STATUS( WBXML_SUPPORT_WV "enable WV support\t\t" )
 SHOW_STATUS( WBXML_SUPPORT_AIRSYNC "enable AIRSYNC support\t" )
+SHOW_STATUS( WBXML_SUPPORT_CONML "enable Nokia ConML support\t" )
 SHOW_STATUS( BUILD_DOCUMENTATION "build dynamic documentation\t" )
+SHOW_STATUS( WBXML_SUPPORT_ICONV "enable iconv support\t\t" )
 SHOW_STATUS( ENABLE_INSTALL_DOC "install documentation\t" )
+SHOW_STATUS( WBXML_INSTALL_FULL_HEADERS "install internal headers\t" )
 
 # fatal error detection
 IF ( FATAL_ERROR_EXPAT )
@@ -234,37 +267,13 @@
 	SET( LIBWBXML_VERSION "${LIBWBXML_VERSION}-RC${RELEASE_CANDIDATE}" )
 ENDIF( RELEASE_CANDIDATE )
 
+find_program(CCACHE_FOUND ccache)
+if(CCACHE_FOUND)
+    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
+    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
+endif(CCACHE_FOUND)
+
 # ADD_SUBDIRECTORY( wbxmlTestSuite )
 
 SET( CPACK_GENERATOR "TGZ;TBZ2" ) # This line is need for a CMake (Version 2.4.7) Bug - Fixed in CVS 
 SET( CPACK_SOURCE_GENERATOR "TGZ;TBZ2") 
-SET( CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${LIBWBXML_VERSION}" ) 
-SET( CPACK_SET_DESTDIR ON )
-INCLUDE( CPack )
-
-### CTest ########################################
-
-ENABLE_TESTING()
-CONFIGURE_FILE( "tests/launchTests.sh" "${CMAKE_CURRENT_BINARY_DIR}/launchTests.sh")
-CONFIGURE_FILE( "tests/normalize_xml.pl" "${CMAKE_CURRENT_BINARY_DIR}/normalize_xml.pl" @ONLY)
-SET( airsync_tests 3 )
-SET( ddf_tests 7 )
-# 2009-Jan-19 bellmich
-# All DRMREL 1.0 tests are switched off.
-# The background is the extremely bad specification.
-# DRMREL 1.0 hardcodes the XML namespace translation.
-# I never saw such a broken XML design before.
-#
-#SET( drmrel_tests  3 )
-SET( emn_tests    17 )
-SET( ota_tests     3 )
-SET( prov_tests    8 )
-SET( si_tests     25 )
-SET( sl_tests     13 )
-SET( syncml_tests 14 )
-SET( wv_tests    116 )
-FOREACH( TESTDIR airsync ddf emn ota prov si sl syncml wv )
-	FOREACH( ITEM RANGE 1 ${${TESTDIR}_tests} )
-		ADD_TEST( "${TESTDIR}_${ITEM}" launchTests.sh "${CMAKE_SOURCE_DIR}/tests" "${TESTDIR}" ${ITEM} )
-	ENDFOREACH( ITEM RANGE 1 ${${TESTDIR}_tests} )
-ENDFOREACH( TESTDIR airsync ddf emn ota prov si sl syncml wv )

=== cmake/CMakeLists.txt ===

SET( LIBWBXML_CMAKE_MODULE "${CMAKE_CURRENT_SOURCE_DIR}/modules/FindLibWbxml2.cmake" )

INSTALL( FILES ${LIBWBXML_CMAKE_MODULE} DESTINATION ${CMAKE_ROOT}/Modules/ )

=== test/api/CMakeLists.txt ===

if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

ENABLE_TESTING()
FIND_PACKAGE(Check REQUIRED)

INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CHECK_INCLUDE_DIRS} )

## Test private API

FOREACH( SRC_FILE lists buffers base64 charset conv encoder_internals errors parser_internals )

    ADD_EXECUTABLE(test_wbxml_${SRC_FILE} test_wbxml_${SRC_FILE}.c api_test.c)

IF(BUILD_SHARED_LIBS)    
    TARGET_LINK_LIBRARIES(test_wbxml_${SRC_FILE} wbxml2)
ELSE(BUILD_SHARED_LIBS)
    TARGET_LINK_LIBRARIES(test_wbxml_${SRC_FILE} wbxml2_static)
ENDIF()

    IF( PKG_CONFIG_FOUND )
    TARGET_LINK_LIBRARIES(test_wbxml_${SRC_FILE} ${CHECK_LDFLAGS})
    ELSE ( PKG_CONFIG_FOUND )
    TARGET_LINK_LIBRARIES(test_wbxml_${SRC_FILE} ${CHECK_LIBRARIES})
    ENDIF ( PKG_CONFIG_FOUND )

    ADD_TEST(api_private_wbxml_${SRC_FILE} ${CMAKE_CURRENT_BINARY_DIR}/test_wbxml_${SRC_FILE})

ENDFOREACH( SRC_FILE lists  )

=== debian/changelog ===
wbxml2 (0.11.7+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 30 Aug 2021 22:19:04 -0400

wbxml2 (0.11.7+dfsg-1~exp2) experimental; urgency=medium

  * QA upload.
  * Rebuild after Debian 11 release.
  * Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Aug 2021 22:39:50 -0400

wbxml2 (0.11.7+dfsg-1~exp1) experimental; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #698762)
    + Bump SONAME: 0 -> 1.
    - Remove bundled binaries: macosx/ and win32/ subdir.
  * Set maintainer to Debian QA Group.
  * Modernize packaging:
    + Use debhelper-compat v13. (Closes: #965870)
    + Bump Standards-Version to 4.5.1.
    + Migrate buildsystem from cdbs to dh.
    + Use new "3.0 (quilt)" format.
    - Drop old -dbg package. (Closes: #676947)
  * debian/control: Point to the new project homepage.
  * debian/rules: Enable full hardening.
  * debian/copyright: Rewrite with machine-readable format.
  * debian/patches/0001: Add patch to force using GNUInstallDirs.
  * debian/watch: Monitor upstream releases.

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Apr 2021 01:04:36 -0400

wbxml2 (0.10.7-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/system-getopt.patch: Removed, applied upstream.
  * debian/control (Standards-Version): Bumped to 3.8.3.
  * debian/control (libwbxml2-0-dbg/Section): Set to debug.

 -- Michael Banck <mbanck@debian.org>  Sat, 16 Jan 2010 20:25:45 +0100

wbxml2 (0.10.6-4) unstable; urgency=low

  * debian/patches/system-getopt.patch: Updated with new version from
    unstable.

 -- Michael Banck <mbanck@debian.org>  Tue, 12 May 2009 00:41:16 +0200

wbxml2 (0.10.6-3) unstable; urgency=low

  * debian/patches/system-getopt.patch: New patch, taken from upstream.
  * debian/patches/optopt-rename.patch: Removed, no longer needed.

 -- Michael Banck <mbanck@debian.org>  Mon, 11 May 2009 16:52:37 +0200

wbxml2 (0.10.6-2) unstable; urgency=low

  * debian/control (libwbxml2-dev/Depends): Added ${misc:Depends}.
  * debian/control (libwbxml2-0-dbg/Depends): Likewise.
  * debian/patches/optopt-rename.patch: New patch, addresses FTBFS on
    mips/mipsel.

 -- Michael Banck <mbanck@debian.org>  Sun, 10 May 2009 17:20:43 +0200

wbxml2 (0.10.6-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated download location.
  * debian/control (Homepage): Updated.

 -- Michael Banck <mbanck@debian.org>  Wed, 29 Apr 2009 21:39:18 +0200

wbxml2 (0.10.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Mon, 09 Mar 2009 01:51:10 +0100

wbxml2 (0.10.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/01-anonymous-support-and-misc-fixes.patch: Removed, no
    longer needed.
  * debian/patches/02-namespaces.patch: Likewise.
  * debian/patches/04_saxlike_entity_parsing.patch: Likewise.
  * debian/patches/05-syncml-fixes.patch: Likewise.
  * debian/patches/06-no-install-docs.patch: Likewise.
  * debian/patches/07-current_attr_null.patch: Likewise.
  * debian/patches/08-maxsize-translation-table.patch: Likewise.
  * debian/patches/09-devinf-doctype.patch: Likewise.
  * debian/patches/10-fix-wbxml-public-ids.patch: Likewise.
  * debian/control (Build-Depends): Added cmake and check, removed libtool and
    automake1.9.
  * debian/libwbxml2-dev.install: Drop static library and libtool helper file.
  * debian/rules (DEB_MAKE_CHECK_TARGET): New variable.
  * debian/rules (DEB_DH_MAKESHLIBS_ARGS_libwbxml2-0): Likewise.
  * debian/rules: Removed autotools.mk, added cmake.mk.
  * debian/rules (post-patches, clean): Removed.

 -- Michael Banck <mbanck@debian.org>  Tue, 13 Jan 2009 09:34:52 +0100

wbxml2 (0.9.2-7) unstable; urgency=high

  * Urgency `high' due to RC bug fix.
  * debian/patches/09-devinf-doctype.patch: New patch, no longer hardcodes the
    Syncml version in the device information document, by Michael Bell;
    closes: #506740.
  * debian/patches/10-fix-wbxml-public-ids.patch: New patch, swaps the
    WBXML_PUBLIC_ID_SYNCML_METINF12 and WBXML_PUBLIC_ID_SYNCML_DEVINF12
    values to be in line with the OMNA standard; closes: #507689.

 -- Michael Banck <mbanck@debian.org>  Thu, 04 Dec 2008 13:42:44 +0100

wbxml2 (0.9.2-6) unstable; urgency=low

  * debian/patches/bug_310622_message_5.mbox: File removed.
  * debian/patches/current_attr_null.patch: Renamed to ...
  * debian/patches/06-no-install-docs.patch: ... this.
  * debian/patches/no-install-docs.patch: Renamed to ...
  * debian/patches/07-current_attr_null.patch: ... this.
  * debian/patches/08-maxsize-translation-table.patch: New patch, renames
    Size tag to MaxSize for DS 1.2, by Michael Bell; closes: #497709.

 -- Michael Banck <mbanck@debian.org>  Thu, 04 Sep 2008 00:23:28 +0200

wbxml2 (0.9.2-5) unstable; urgency=low

  * New maintainer.
    + debian/control (Maintainer): Set to myself.
  * debian/control (Standards-Version): Bumped to 3.8.0.
  * debian/control (libwbxml2-utils/Description): Make the short
    description a bit more readable; closes: #493436.
  * debian/patches/05-syncml-fixes.patch: New patch, fixes a couple of
    issues with SyncML, by Michael Bell; closes: #487217.

 -- Michael Banck <mbanck@debian.org>  Wed, 06 Aug 2008 18:00:34 +0200

wbxml2 (0.9.2-4) unstable; urgency=low

  * Fix segault in wbxml_encoder.c, closes: #310621
    - Thanks Stijn van Drongelen
  * Add Sax like entity parsing, closes: #461618
  * The above changes library behaviour, bump version dependency
    - Thanks Stijn van Drongelen
  * Fix version in .pc ile, closes: #422645
    - Thanks Jonny Lamb
  * From synce project, Thanks Jonny Lamb
    - Miscallaneus build fixes and anonymous document support
  	- Namespaces support
  * Update to match policy 3.7.3
    - Source-Version -> binary:Version
    - Add Homepage:
  * move -dev and -dbg to libdevel and -dbg priority extra



=== debian/control ===
Source: wbxml2
Priority: optional
Section: libs
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 check,
 cmake,
 debhelper-compat (= 13),
 libexpat1-dev,
 libpopt-dev,
 pkg-config,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/libwbxml/libwbxml
Vcs-Git: https://salsa.debian.org/debian/wbxml2.git
Vcs-Browser: https://salsa.debian.org/debian/wbxml2

Package: libwbxml2-1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: WBXML parsing and encoding library
 The WBXML Library (aka libwbxml) contains a library and its associated
 tools to Parse, Encode and Handle WBXML documents.  The WBXML format
 is a binary representation of XML, defined by the Wap Forum, and used
 to reduce bandwidth in mobile communications.
 .
 This package contains the dynamic library needed by applications
 using libwbxml2.

Package: libwbxml2-dev
Section: libdevel
Architecture: any
Depends:
 libexpat1-dev,
 libpopt-dev,
 libwbxml2-1 (= ${binary:Version}),
 zlib1g-dev,
 ${misc:Depends},
Description: WBXML library development file
 The WBXML Library (aka libwbxml) contains a library and its associated
 tools to Parse, Encode and Handle WBXML documents.  The WBXML format
 is a binary representation of XML, defined by the Wap Forum, and used
 to reduce bandwidth in mobile communications.
 .
 Install this package if you wish to develop your own programs using
 WBXML.

Package: libwbxml2-utils
Section: text
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Binary XML utilities
 The WBXML Library (aka libwbxml) contains a library and its associated
 tools to Parse, Encode and Handle WBXML documents.  The WBXML format
 is a binary representation of XML, defined by the Wap Forum, and used
 to reduce bandwidth in mobile communications.
 .
 This package contains wbxml2xml and xml2wbxml utils to convert xml
 files to wbxml and back.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='libwbxml2-0-dbg (<< 0.10.7-2~)'

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flameshot-$1.tar.gz%, dversionmangle=s/\+dfsg\d*$//" \
 https://github.com/libwbxml/libwbxml/releases \
 (?:.*?/)?libwbxml-v?(\d[\d.]*)\.tar\.gz debian uupdate

## wbxml2 0.11.8%2Bdfsg

=== debian/changelog ===
wbxml2 (0.11.8+dfsg-3build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:54:47 +0200

wbxml2 (0.11.8+dfsg-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add dh_auto_configure override to pass
    -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON.
  * debian/control: Update Standards-Version to 4.6.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 13 Nov 2022 12:43:28 -0800

wbxml2 (0.11.8+dfsg-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libwbxml2-1: Add Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:37:33 +0000

wbxml2 (0.11.8+dfsg-1) unstable; urgency=medium

  * QA upload.
  * New upstream release 0.11.8.
    + Fix compatibility with libexpat 2.4.5+. (Closes: #1006337)
  * debian/watch: Fix typo.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Mar 2022 14:26:58 -0400

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='libwbxml2-0-dbg (<< 0.10.7-2~)'
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

## wbxml2 0.11.8+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SET( LIBWBXML_VERSION_MAJOR "0" )
 SET( LIBWBXML_VERSION_MINOR "11" )
-SET( LIBWBXML_VERSION_PATCH "7" )
+SET( LIBWBXML_VERSION_PATCH "8" )
 IF( LIBWBXML_VERSION_BETA )
     IF( LIBWBXML_VERSION_BETA VERSION_GREATER 90 )
         MATH( EXPR LIBWBXML_VERSION_MINOR "${LIBWBXML_VERSION_MINOR} - 1" )
@@ -23,7 +23,7 @@
 # UPDATE: last release.
 # UPDATE: Set REVISION to 0 if any interface have been added, removed or
 # UPDATE: changed since the last update.
-SET( LIBWBXML_LIBVERSION_REVISION 7 )
+SET( LIBWBXML_LIBVERSION_REVISION 8 )
 
 # The difference between the newest and the oldest interfaces.
 # UPDATE: If any interface have been added since the last public

=== test/tools/CMakeLists.txt ===

ENABLE_TESTING()
CONFIGURE_FILE( "launchTests.sh" "${CMAKE_CURRENT_BINARY_DIR}/launchTests.sh")
CONFIGURE_FILE( "normalize_xml.pl" "${CMAKE_CURRENT_BINARY_DIR}/normalize_xml.pl" @ONLY)
SET( activesync_tests 14 )
SET( airsync_tests 4 )
SET( ddf_tests 2 )
# 2009-Jan-19 bellmich
# All DRMREL 1.0 tests are switched off.
# The background is the extremely bad specification.
# DRMREL 1.0 hardcodes the XML namespace translation.
# I never saw such a broken XML design before.
#
#SET( drmrel_tests  3 )
SET( emn_tests    17 )
SET( ota_tests     3 )
SET( prov_tests    8 )
SET( si_tests     25 )
SET( sl_tests     13 )
SET( syncml_tests 14 )
SET( wv_tests    116 )
SET( conml_tests   2 )
FOREACH( TESTDIR activesync airsync conml ddf emn ota prov si sl syncml wv )
	FOREACH( ITEM RANGE 1 ${${TESTDIR}_tests} )
		ADD_TEST( "tools_document_${TESTDIR}_${ITEM}" launchTests.sh "${CMAKE_CURRENT_SOURCE_DIR}" "${TESTDIR}" ${ITEM} )
	ENDFOREACH( ITEM RANGE 1 ${${TESTDIR}_tests} )
ENDFOREACH( TESTDIR activesync airsync conml ddf emn ota prov si sl syncml wv )

=== debian/changelog ===
wbxml2 (0.11.8+dfsg-4) unstable; urgency=medium

  * debian/control:
    + Take over maintainership (with UBports Team as co-uploaders). (Closes:
      #852499).
    + Bump Standards-Version to 4.7.0. No changes needed.
    + Switch from pkg-config to pkgconf. Thanks, lintian.
  * debian/watch:
    + Update file, use <project>/tags URL path instead of <project>/release
      URL path.
  * debian/rules:
    + Drop dbgsym migration dh_strip override (originally added before Debian
      bullseye release).
    + Add get-orig-source target, for maintainer's convenience.
  * debian/copyright:
    + Use komma between YEAR and COPYRIGHTHOLDER.
    + Move debian/* copyrights to the end of the list, add myself as copyright
      holder.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Apr 2024 11:50:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: wbxml2
 Priority: optional
 Section: libs
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Mike Gabriel <sunweaver@debian.org>
+Uploaders: Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends:
  check,
  cmake,
  debhelper-compat (= 13),
  libexpat1-dev,
  libpopt-dev,
- pkg-config,
+ pkgconf,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/libwbxml/libwbxml
 Vcs-Git: https://salsa.debian.org/debian/wbxml2.git
 Vcs-Browser: https://salsa.debian.org/debian/wbxml2
@@ -21,6 +22,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Multi-Arch: same
 Description: WBXML parsing and encoding library
  The WBXML Library (aka libwbxml) contains a library and its associated
  tools to Parse, Encode and Handle WBXML documents.  The WBXML format

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libwbxml2-0-dbg (<< 0.10.7-2~)'
-
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..

## wbxml2 0.11.10%2Bdfsg

=== debian/changelog ===
wbxml2 (0.11.10+dfsg-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 22:06:05 +0100

wbxml2 (0.11.10+dfsg-2) unstable; urgency=medium

  * debian/.gitlab-ci.yml:
    + Add salsa.debian.org CI configuration.
  * debian/libwbxml2-private-dev.install:
    + Adjust private headers installation path to API version bump in wbxml2
      upstream (1.0 -> 1.1).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 18 Aug 2024 23:54:38 +0200

wbxml2 (0.11.10+dfsg-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/copyright:
    + Fine-tune and remove cmake/modules/*.cmake duplicate entry.

  [ Guido Berhoerster ]
  * debian/patches:
    + Refresh patches.
  * debian/libwbxml2-dev.install:
    + Package cmake files.
  * debian/copyright:
    + Drop non-existent files.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 15 Aug 2024 16:25:10 +0200

wbxml2 (0.11.8+dfsg-5) unstable; urgency=medium

  [ Guido Berhoerster ]
  * Add subpackage providing private symbols from the wbxml2 library.
  * Add script private symbol maintenance.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 May 2024 00:27:48 +0200
